#
# spec file for package python-PyGithub
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-PyGithub
Version:        1.43.5
Release:        150100.3.5.2
Summary:        Python library to use the GitHub API v3
License:        LGPL-3.0-or-later
Group:          Development/Languages/Python
URL:            https://github.com/PyGithub/PyGithub
Source:         https://files.pythonhosted.org/packages/source/P/PyGithub/PyGithub-%{version}.tar.gz
# PATCH-FIX-OPENSUSE sebix+novell.com@sebix.at -- Remove test that needs network access
Patch0:         PyGithub-drop-network-tests.patch
BuildRequires:  %{python_module Deprecated}
BuildRequires:  %{python_module PyJWT}
BuildRequires:  %{python_module requests >= 2.14.0}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Deprecated
Requires:       python-PyJWT
Requires:       python-requests >= 2.14.0
Recommends:     python-cryptography
BuildArch:      noarch
%python_subpackages

%description
PyGithub is a Python (2 and 3) library to use the Github API v3.
Github resources (repositories, user profiles, organizations,
etc.) can be managed with this.

%prep
%setup -q -n PyGithub-%{version}
%patch0

%build
%python_build

%install
%python_install
%python_expand rm -r %{buildroot}%{$python_sitelib}/github/tests/
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%license COPYING COPYING.LESSER
%doc README.md
%{python_sitelib}/*

%changelog
* Thu Jul 21 2022 adrian.glaubitz@suse.com
- Include in SLE-15 (bsc#1199282, jsc#PM-3243, jsc#SLE-24629)
* Wed Mar  6 2019 tchvatal@suse.com
- Update to 1.43.5:
  * Many actual changes to enumerate, mostly support of current
    github api see changes.rst file
* Wed Dec 19 2018 jengelh@inai.de
- Use noun phrase in summary. Generalize description.
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Tue Aug 15 2017 sebix+novell.com@sebix.at
- convert to singlespec
- update to 1.35
* Mon May 11 2015 benoit.monin@gmx.fr
- update to version 1.25.2:
  * Work around the GitHub API v3 returning null in some paginated
    responses
- additional changes from version 1.25.1
  * Fix two-factor authentication header, thanks to tradej for the
    pull request
- additional changes from version 1.25.0
  * Implement getting repos by id, thanks to tylertreat for the
    pull request
  * Add Gist.owner, thanks to dalejung for the pull request
- additional changes from version 1.24.1
  * Fix urlquoting in search, thanks to cro for the pull request
- additional changes from version 1.24.0
  * Implement search, thanks to thialfihar for the pull request
- additional changes from version 1.23.0
  * Fix all that is based on headers in Python 3 (pagination,
    conditional request, rate_limit...), huge thanks to cwarren-mw
    for finding the bug
  * Accept strings for assignees and collaborators, thanks to farrd
  * Ease two-factor authentication by adding ‘onetime_password’ to
    AuthenticatedUser.create_authorization, thanks to cameronbwhite
- additional changes from version 1.22.0
  * Emojis, thanks to evolvelight
  * Repository.stargazers_count, thanks to cameronbwhite
  * User.get_teams, thanks to poulp
- refresh PyGithub-drop-network-tests.patch
- pass -q to test to avoid spamming the build log
- change path of license files: moved upstream
* Wed Dec  4 2013 speilicke@suse.com
- Update to version 1.21.0:
  + No changelog, but https://github.com/jacquev6/PyGithub/issues?milestone=33&state=closed
- Add PyGithub-drop-network-tests.patch: Drop tests that need network access
  during build
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Tue Apr 23 2013 speilicke@suse.com
- Add COPYING and COPYING.LESSER
* Thu Apr 11 2013 cfarrell@suse.com
- license update: LGPL-3.0+
  See setup.py as well as all the source code files in the package itself
  (and the COPYING.LESSER)
* Wed Apr 10 2013 speilicke@suse.com
- Fix spurious executable perms (README.rst)
- Don't ship testsuite (scripts w/o sheban / fdupes warnings)
* Wed Apr 10 2013 speilicke@suse.com
- Initial version
